#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 41. Other X-based Programs

- Prev

  Gparted-1.3.1

- Next

  Inkscape-1.1.2

- Up
- Home

# HexChat-2.16.1

## Introduction to HexChat

HexChat is an IRC chat program. It allows you to join multiple IRC channels (chat rooms) at the same time, talk publicly, have private one-on-one conversations, etc. File transfers are also possible.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://dl.hexchat.net/hexchat/hexchat-2.16.1.tar.xz

- Download MD5 sum: 0af269d719c2c047310d44804bb31fdb

- Download size: 1.3 MB

- Estimated disk space required: 22 MB

- Estimated build time: less than 0.1 SBU (using parallelism=4)

### HexChat Dependencies

#### Required

dbus-glib-0.112, GLib-2.70.4, and libnotify-0.7.9

#### Recommended

GTK+-2.24.33 and libcanberra-0.30

#### Optional

dbus-glib-0.112, ISO Codes-4.9.0, libnotify-0.7.9, pciutils-3.7.0, libproxy, luajit, if python is enabled cffi and pycparser.

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/hexchat

## Installation of HexChat

Install HexChat by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr         \
          --buildtype=release   \
          -Dwith-lua=false      \
          -Dwith-python=false   \
          ..                    &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-Dwith-lua=false`: By default, this package will look for luajit. However, the Lua plugin support is currently broken and will cause the application to crash on startup.

`-Dwith-python=false`: If the Python interface should be enabled, remove this switch or set it to `true`. When enabling Python, two additional modules (cffi and pycparser) needs to be installed prior to installation of Hexchat.

`-Dwith-libcanberra=false`: Use this switch if you have libcanberra not installed.

## Contents

Installed Program: hexchat
Installed Libraries: None
Installed Directory: /usr/lib/hexchat

### Short Descriptions

hexchat | is a graphical Internet Relay Chat (IRC) client

Last updated on

- Prev

  Gparted-1.3.1

- Next

  Inkscape-1.1.2

- Up
- Home